MIX_GetNumAudioDecoders(3)

NAME
MIX_GetNumAudioDecoders - Report the number of audio decoders available for use.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

int MIX_GetNumAudioDecoders(void);

DESCRIPTION
An audio decoder is what turns specific audio file formats into usable PCM data. For example, there might be an MP3 decoder, or a WAV decoder, etc. SDL_mixer probably has several decoders built in.

The return value can be used to call MIX_GetAudioDecoder() in a loop.

The number of decoders available is decided during MIX_Init() and does not change until the library is deinitialized.

RETURN VALUE
Returns the number of decoders available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_GetAudioDecoder(3)